"""migrate file size to bigInt

Revision ID: b1f3c6cbb10f
Revises: 0673ad750e4d
Create Date: 2023-08-24 10:05:25.505444

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b1f3c6cbb10f'
down_revision = '0673ad750e4d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        'stored_file', 'size_in_bytes',
        existing_type=sa.Integer(),
        type_=sa.BigInteger(),
        nullable=True,
    )
    # ### end Alembic commands ##


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        'stored_file', 'size_in_bytes',
        existing_type=sa.BigInteger(),
        type_=sa.Integer(),
        nullable=True,
    )
    # ### end Alembic commands ###
